import { B as BotConfig, E as El, a as BotUserConfig, b as Bot } from './index-37f98e56';
export { b as Bot, B as BotConfig, e as Config, E as El, c as createBot, d as createLogger, b as default } from './index-37f98e56';
import { MessageType } from 'mirai-ts';
import 'winston';
import 'commander';
import 'mongoose';
import 'events';
import 'net';
import 'koa';
import '@octokit/webhooks';
import 'node-schedule';

declare function loadConfigFromFile(configFile?: string, configRoot?: string): Promise<BotConfig | null | undefined>;
declare function defineConfig(config: El): El;
declare function defineBotConfig(config: BotUserConfig): BotUserConfig;

declare function parse(path: string): unknown;
declare function merge(target: any, source: any): any;

declare const config_parse: typeof parse;
declare const config_merge: typeof merge;
declare namespace config {
  export {
    config_parse as parse,
    config_merge as merge,
  };
}

declare function isUrl(url: string): boolean;
declare class InnerMode {
    msg: MessageType.ChatMessage | undefined;
    friendSet: Set<unknown>;
    groupSet: Set<unknown>;
    constructor(msg?: MessageType.ChatMessage);
    setMsg(msg: MessageType.ChatMessage): void;
    enter(): void;
    getStatus(): boolean | undefined;
    exit(): void;
}

declare function renderString(template: string, data: any, name: string): any;

declare function handleError(e: any | Error, logger?: {
    error: (...args: any[]) => void;
}): void;

declare const index_config: typeof config;
declare const index_isUrl: typeof isUrl;
type index_InnerMode = InnerMode;
declare const index_InnerMode: typeof InnerMode;
declare const index_renderString: typeof renderString;
declare const index_handleError: typeof handleError;
declare namespace index {
  export {
    index_config as config,
    index_isUrl as isUrl,
    index_InnerMode as InnerMode,
    index_renderString as renderString,
    index_handleError as handleError,
  };
}

export { defineBotConfig, defineConfig, loadConfigFromFile, index as utils };
